Bug 180306

Summary: New port: databases/p5-DBIx-Class-VirtualColumns
Product: Ports & Packages Reporter: Anes Mukhametov <anes>
Component: Individual Port(s)Assignee: Mathieu Arnold <mat>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
p5-DBIx-Class-VirtualColumns.shar none

Description Anes Mukhametov 2013-07-05 14:00:00 UTC
	New port: databases/p5-DBIx-Class-VirtualColumns	
	Add virtual columns to DBIx::Class schemata
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 14:00:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:57:20 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Mathieu Arnold freebsd_committer 2013-08-22 13:05:48 UTC
Responsible Changed
From-To: miwi->mat

Take that, need it for ports/180313
Comment 4 Mathieu Arnold freebsd_committer 2013-08-22 15:44:30 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dfilter service freebsd_committer 2013-08-22 16:30:21 UTC
Author: mat
Date: Thu Aug 22 14:41:50 2013
New Revision: 325200
URL: http://svnweb.freebsd.org/changeset/ports/325200

Log:
  Add virtual columns to DBIx::Class schemata
  
  PR:		ports/180306
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/databases/p5-DBIx-Class-VirtualColumns/
  head/databases/p5-DBIx-Class-VirtualColumns/Makefile   (contents, props changed)
  head/databases/p5-DBIx-Class-VirtualColumns/distinfo   (contents, props changed)
  head/databases/p5-DBIx-Class-VirtualColumns/pkg-descr   (contents, props changed)
  head/databases/p5-DBIx-Class-VirtualColumns/pkg-plist   (contents, props changed)
Modified:
  head/databases/Makefile

Modified: head/databases/Makefile
==============================================================================
--- head/databases/Makefile	Thu Aug 22 14:07:18 2013	(r325199)
+++ head/databases/Makefile	Thu Aug 22 14:41:50 2013	(r325200)
@@ -370,6 +370,7 @@
     SUBDIR += p5-DBIx-Class-Tree
     SUBDIR += p5-DBIx-Class-Tree-NestedSet
     SUBDIR += p5-DBIx-Class-UUIDColumns
+    SUBDIR += p5-DBIx-Class-VirtualColumns
     SUBDIR += p5-DBIx-Class-WebForm
     SUBDIR += p5-DBIx-Connector
     SUBDIR += p5-DBIx-ContextualFetch

Added: head/databases/p5-DBIx-Class-VirtualColumns/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-DBIx-Class-VirtualColumns/Makefile	Thu Aug 22 14:41:50 2013	(r325200)
@@ -0,0 +1,24 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	DBIx-Class-VirtualColumns
+PORTVERSION=	1.03
+CATEGORIES=	databases perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Add virtual columns to DBIx::Class schemata
+
+BUILD_DEPENDS=	p5-DBIx-Class>=0:${PORTSDIR}/databases/p5-DBIx-Class \
+		p5-Class-C3-XS>=0.02:${PORTSDIR}/devel/p5-Class-C3-XS \
+		p5-DBD-SQLite>=0:${PORTSDIR}/databases/p5-DBD-SQLite \
+		p5-Test-Pod>=0:${PORTSDIR}/devel/p5-Test-Pod
+RUN_DEPENDS=	p5-DBIx-Class>=0:${PORTSDIR}/databases/p5-DBIx-Class
+
+USES=		perl5
+USE_PERL5=	configure
+
+MAN3=		DBIx::Class::VirtualColumns.3
+
+.include <bsd.port.mk>

Added: head/databases/p5-DBIx-Class-VirtualColumns/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-DBIx-Class-VirtualColumns/distinfo	Thu Aug 22 14:41:50 2013	(r325200)
@@ -0,0 +1,2 @@
+SHA256 (DBIx-Class-VirtualColumns-1.03.tar.gz) = 9100b23764f0463c0276e47a1a976c81cea2c353f661edb24973918bf2f5d4a9
+SIZE (DBIx-Class-VirtualColumns-1.03.tar.gz) = 30510

Added: head/databases/p5-DBIx-Class-VirtualColumns/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-DBIx-Class-VirtualColumns/pkg-descr	Thu Aug 22 14:41:50 2013	(r325200)
@@ -0,0 +1,11 @@
+This module allows to specify 'virtual columns' in DBIx::Class schema
+classes. Virtual columns behave almost like regular columns but are not
+stored in the database. They may be used to store temporary information
+in the DBIx::Class::Row object and without introducting an additional
+interface.
+
+Most DBIx::Class methods like "set_column", "set_columns", "get_column",
+"get_columns", "column_info", ... will work with regular as well as
+virtual columns.
+
+WWW: http://search.cpan.org/dist/DBIx-Class-VirtualColumns/

Added: head/databases/p5-DBIx-Class-VirtualColumns/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-DBIx-Class-VirtualColumns/pkg-plist	Thu Aug 22 14:41:50 2013	(r325200)
@@ -0,0 +1,4 @@
+@comment $FreeBSD$
+%%SITE_PERL%%/DBIx/Class/VirtualColumns.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/DBIx/Class/VirtualColumns/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/DBIx/Class/VirtualColumns
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"